This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 531419 - qemu issue with non-virtio NICs receiving heavy traffic volumes
qemu issue with non-virtio NICs receiving heavy traffic volumes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-10-28 04:45 EDT by Mark McLoughlin
Modified: 2009-10-30 12:37 EDT (History)
10 users (show)

See Also:
Fixed In Version: qemu-0.11.0-9.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-30 12:37:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2009-10-28 04:45:57 EDT
With qemu-0.11.0, if a non-virtio NIC's receive queue overflows, packets are dropped

Full discussion here:

  http://lists.gnu.org/archive/html/qemu-devel/2009-10/msg02195.html
  http://lists.gnu.org/archive/html/qemu-devel/2009-10/threads.html#02336

This is the patch we need:

  http://lists.gnu.org/archive/html/qemu-devel/2009-10/msg02340.html
Comment 1 Mark McLoughlin 2009-10-29 07:53:38 EDT
Building, will request tagging later

* Thu Oct 29 2009 Mark McLoughlin <markmc@redhat.com> - 2:0.11.0-9
- Fix dropped packets with non-virtio NICs (#531419)
Comment 2 Scott Tsai 2009-10-29 20:07:20 EDT
I've verified this koji build:
http://koji.fedoraproject.org/koji/buildinfo?buildID=138849
and it indeed fixes my test case of NFS through emulated smc91c111 NIC on arm-integratorcp.

I also ran through my normal usage for 'qemu-system-arm' and everything works:
* Load u-boot into the emulator through qemu's gdbserver interface
* Verify that u-boot can drive the emulated serial device and NIC then TFTP boot Linux
Comment 3 Mark McLoughlin 2009-10-30 11:46:23 EDT
tag request: https://fedorahosted.org/rel-eng/ticket/2926

Note You need to log in before you can comment on or make changes to this bug.